Skip to main content

Update Merchant

Endpoint​

PUT /api/{merchantId}

Header parameters​

HeaderTypeRequiredDescription
Ocp-Apim-Subscription-KeystringYesYour PaySuite subscription key
Content-TypestringYesapplication/json

Request parameters​

ParameterTypeRequiredDescription
stripePlatformAccountIdstring max(100)requiredA Stripe Platform account Id.

This will be provided to the SoftCo during SoftCo registration
redirectUrlstringrequiredURL to redirect after onboarding completion. This redirect will happen trigger after the Stripe hosted onboarding flow has been completed (or cancelled) by the customer.
stripePriceGroupIdstring max(100)optionalStripe pricing group identifier. This must be an active Stripe price group id obtained from PaySuite during project setup. If no value provided, the default pricing scheme will be applied to the customer.

Payload example​

{
"stripePlatformAccountId": "acct_platform123",
"redirectUrl": "https://example.com/onboarding/complete",
"stripePriceGroupId": "price_group_456"
}

Response parameters​

Status Code: 200 OK​

ParameterTypeDescription
merchantIduuidA unique identifier for the customer created by the Merchant API.
customerIdstringA unique identifier for the customer in the SoftCo product.
sessionIdstringA unique identifier to track the session.
actionobjectObject containing the action to be performed by the SoftCo product.
→ redirectUrlstring(conditional) The URL to redirect the customer to being the onboarding journey. Note: this will only be returned if there is further data to be collected from the customer and the integration is via a redirect onboarding
→ stripeConnectAccountIdstring(conditional) The Stripe Connect identifier for the customer. Note: this will only be returned if the integration is via embedded onboarding.
→ stripeClientSecretstring(conditional) The Stripe Connect identifier for the customer. Note: this will only be returned if the integration is via embedded onboarding

Payload redirect example​

{
"merchantId": "123e4567-e89b-12d3-a456-426614174000",
"customerId": "customer_123",
"sessionId": "66c0df2ec03d8a3b582e615b83274816",
"action": {
"redirectUrl": "https://creditRiskAssessmentUrl.com"
}
}

Payload embedded example​

{
"merchantId": "123e4567-e89b-12d3-a456-426614174000",
"customerId": "customer_123",
"sessionId": "66c0df2ec03d8a3b582e615b83274816",
"action": {
"stripeConnectAccountId": "acct_12345"
"stripeClientSecret": "client_secret_67890",
}
}